commit:     ebd20c01239c024c383bc4ecf6022b152a0fee21
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 23 02:57:55 2019 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Wed Jan 23 07:16:27 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ebd20c01

x11-terms/kitty: version bump to 0.13.3

Signed-off-by: Tim Harder <radhermit <AT> gentoo.org>

 x11-terms/kitty/Manifest            |   1 +
 x11-terms/kitty/kitty-0.13.3.ebuild | 106 ++++++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/x11-terms/kitty/Manifest b/x11-terms/kitty/Manifest
index bed59ab832e..553f9b77e5e 100644
--- a/x11-terms/kitty/Manifest
+++ b/x11-terms/kitty/Manifest
@@ -1,2 +1,3 @@
 DIST kitty-0.13.1.tar.xz 2836564 BLAKE2B 
16fa53f81d291610dd5567ef5f06c083246f9e636fc1d1ef7f340c1017c81b2e92f2a14b9f8d53ad924715ae25fd40190e071b403b2319d7c707f95aaf58e8d1
 SHA512 
0dbc23c300549b507b526abf2f89bf06d4dbdcd96be240d605cc9da2097b407f9b886de67c19462bb517c2b1931cf78810f0efd982cb848cb4fdab86374701db
 DIST kitty-0.13.2.tar.xz 2849800 BLAKE2B 
94f717fd989fda5148cd8a138db7657bacd33f34e2feb6dc37cfaf12081caa0c7170dcd8e8c6641145123a95acd8d745826fcc95dab382e8072a8bfa6578693a
 SHA512 
f66624d200223810e01b7d880ac42fc314e6be3040aa357bfd7ddf94096c58e4dd7924aebc5c1cdd8fe6082556245b586b96a264010baaaf6fd2a2ae264e4faf
+DIST kitty-0.13.3.tar.xz 2846220 BLAKE2B 
cb2da9e64696298471001f28bc5cc568a6ec21331153929fa86b8bc7262b5928430fc053f86b7ef669eafde676439f6ee644f14cd942e2f11fba7b7dadfcb294
 SHA512 
9ce803469057245f9e1c50b53e03d48d3f2483b01f9441be6eadbfea8edcba01652177cbff11d1dd2b35e9415db6822fd72a0494f00ee3be30f58c1f1991c37b

diff --git a/x11-terms/kitty/kitty-0.13.3.ebuild 
b/x11-terms/kitty/kitty-0.13.3.ebuild
new file mode 100644
index 00000000000..74d2102fb6d
--- /dev/null
+++ b/x11-terms/kitty/kitty-0.13.3.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit python-single-r1 toolchain-funcs gnome2-utils
+
+if [[ ${PV} == "9999" ]] ; then
+       EGIT_REPO_URI="https://github.com/kovidgoyal/kitty.git";
+       inherit git-r3
+else
+       
SRC_URI="https://github.com/kovidgoyal/kitty/releases/download/v${PV}/${P}.tar.xz";
+       KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="A modern, hackable, featureful, OpenGL-based terminal emulator"
+HOMEPAGE="https://github.com/kovidgoyal/kitty";
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="debug doc imagemagick wayland"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+COMMON_DEPS="
+       ${PYTHON_DEPS}
+       >=media-libs/harfbuzz-1.5.0:=
+       sys-apps/dbus
+       sys-libs/zlib
+       media-libs/libpng:0=
+       media-libs/freetype:2
+       media-libs/fontconfig
+       x11-libs/libXcursor
+       x11-libs/libXrandr
+       x11-libs/libXi
+       x11-libs/libXinerama
+       x11-libs/libxkbcommon[X]
+       x11-libs/libxcb[xkb]
+       wayland? (
+               dev-libs/wayland
+               >=dev-libs/wayland-protocols-1.17
+       )
+"
+RDEPEND="
+       ${COMMON_DEPS}
+       imagemagick? ( virtual/imagemagick-tools )
+"
+DEPEND="${RDEPEND}
+       sys-libs/ncurses
+       virtual/pkgconfig
+"
+[[ ${PV} == *9999 ]] && DEPEND+=" >=dev-python/sphinx-1.7[${PYTHON_USEDEP}]"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.13.2-flags.patch
+       "${FILESDIR}"/${PN}-0.11.0-svg-icon.patch
+)
+
+src_prepare() {
+       default
+
+       # disable wayland as required
+       if ! use wayland; then
+               sed -i "/'x11 wayland'/s/ wayland//" setup.py || die
+       fi
+
+       # respect doc dir
+       sed -i "/htmldir =/s/appname/'${PF}'/" setup.py
+
+       tc-export CC
+}
+
+doecho() {
+       echo "$@"
+       "$@" || die
+}
+
+src_compile() {
+       doecho "${EPYTHON}" setup.py \
+               --verbose $(usex debug --debug "") \
+               --libdir-name $(get_libdir) \
+               linux-package
+}
+
+src_test() {
+       export KITTY_CONFIG_DIRECTORY=${T}
+       "${EPYTHON}" test.py || die
+}
+
+src_install() {
+       mkdir -p "${ED}"usr || die
+       cp -r linux-package/* "${ED}usr" || die
+       python_fix_shebang "${ED}"
+
+       if ! use doc; then
+               rm -r "${ED}"/usr/share/doc || die
+       fi
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to